extends Control


onready var game_over_panel = $GameOverPanel
onready var tutorial_panel = $TutorialPanel


func hide_tutorial():
	if tutorial_panel:
		tutorial_panel.queue_free()
		tutorial_panel = null


func show_end_of_game():
	game_over_panel.show()


func _on_Catcher_game_over():
	show_end_of_game()


func _on_DeadLine_game_lost():
	show_end_of_game()


func _on_Launcher_get_firing():
	hide_tutorial()
